Subject: Re: [bug#64798] [PATCH 110/209] gnu: grantlee: Update to 5.3.1.

From: 宋文武 <[email-masked]>
Date: Fri, 28 Jul 2023 20:24:07 +0800

Hello, I could look into this next days, maybe create a kde-updates
branch for review.  Thanks!

Z572 <[email-masked]> writes:

> Andreas Enge <[email-masked]> writes:
>
>> Am Mon, Jul 24, 2023 at 10:11:37PM +0800 schrieb Z572:
>>> kde is more difference program use several identical versions, e.g. KDE
>>> frameworks program version is 5.108.0, KDE Plasma program version is
>>> 5.27.6, other program version is 23.04.3
>>
>> We could use two different variables for frameworks and plasma:
>> (define-public %kde-framework-version "5.108.0")
>> (define-public %kde-plasma-version "5.27.6")
>> and, if they are all different, version other programs one by one,
>> or if the majority has the same version add yet another variable.
>>
>>> (And won't the guix refresh stop working if i add %kde-version?)
>>
>> That should still be fine, it will not notice the difference if the
>> version is given through a string or a string "variable" (which is
>> in fact a constant).
>
> no, it cann't work, like it:
> ```
> From https://download.kde.org/stable/release-service/23.04.3/src/ark-23.04.3.tar.xz...
> following redirection to `https://kde.cs.nycu.edu.tw/ftp/stable/release-service/23.04.3/src/ark-23.04.3.tar.xz'...
>  ….3.tar.xz  2.9MiB                   2.9MiB/s 00:01 ▕██████████████████▏ 100.0%
> gnu/packages/kde-utils.scm:54:2: ark: updating from version 22.04.3 to version 23.04.3...
> gnu/packages/kde-utils.scm:54:2: warning: ark: no `version' field in source; skipping
> ```
>
> see attache photo.

Oh, that's not ideal.
>
>>
>> If we go for this route, I would start from the beginning:
>> Introduce the variables at their current values in one commit, which
>> should have no impact on the resulting packages, then try to update them
>> and see what QA has to say about it.
>>
>> iyzsong, what do you think?
>>
>> Andreas

That's fine, but since it seems 'guix refresh' doesn't update hashes
when version is not inline, some work is needed for the 'refresh'
command.  I think we could look into group versions after this merge.